PipeWire 1.4.10

Loading...
Searching...
No Matches
ringbuffer.h File Reference
SPA » Utilities » Ringbuffer

spa/utils/ringbuffer.h More...

Go to the source code of this file.

## Data Structures
struct | spa_ringbuffer
| A ringbuffer type. More...

## Macros
#define | SPA_API_RINGBUFFER static inline
#define | SPA_RINGBUFFER_INIT()

## Functions
SPA_API_RINGBUFFER void | spa_ringbuffer_init (struct spa_ringbuffer *rbuf)
| Initialize a spa_ringbuffer with size.
SPA_API_RINGBUFFER void | spa_ringbuffer_set_avail (struct spa_ringbuffer *rbuf, uint32_t size)
| Sets the pointers so that the ringbuffer contains size bytes.
SPA_API_RINGBUFFER int32_t | spa_ringbuffer_get_read_index (struct spa_ringbuffer *rbuf, uint32_t *index)
| Get the read index and available bytes for reading.
SPA_API_RINGBUFFER void | spa_ringbuffer_read_data (struct spa_ringbuffer *rbuf, const void *buffer, uint32_t size, uint32_t offset, void *data, uint32_t len)
| Read len bytes from rbuf starting offset.
SPA_API_RINGBUFFER void | spa_ringbuffer_read_update (struct spa_ringbuffer *rbuf, int32_t index)
| Update the read pointer to index.
SPA_API_RINGBUFFER int32_t | spa_ringbuffer_get_write_index (struct spa_ringbuffer *rbuf, uint32_t *index)
| Get the write index and the number of bytes inside the ringbuffer.
SPA_API_RINGBUFFER void | spa_ringbuffer_write_data (struct spa_ringbuffer *rbuf, void *buffer, uint32_t size, uint32_t offset, const void *data, uint32_t len)
| Write len bytes to buffer starting offset.
SPA_API_RINGBUFFER void | spa_ringbuffer_write_update (struct spa_ringbuffer *rbuf, int32_t index)
| Update the write pointer to index.

## Detailed Description

spa/utils/ringbuffer.h